package com.virjar.echo.adr;

import android.annotation.SuppressLint;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

import com.virjar.echo.nat.log.EchoLogger;

public class StartOnBootBroadcastReceiver extends BroadcastReceiver {

    @SuppressLint("UnsafeProtectedBroadcastReceiver")
    @Override
    public void onReceive(Context context, Intent intent) {
        EchoLogger.getLogger().info("receive start service broadcast");
        context.startService(new Intent(context, HttpProxyService.class));
    }
}
